/*
 * Purrpackage - http://purrpackage.sourceforge.net
 * Copyright (C) 2010 John Charles Roth
 *
 * Purrpackage is free software, licensed under the terms of the GNU GPL 
 * Version 2 or, at your option, any later version. You should have 
 * received a copy of the license with this file. See the above web address
 * for more information, or contact the Free Software Foundation, Boston, MA. 
 * It is distributed WITHOUT WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

package net.sourceforge.purrpackage.reporting.json;


import net.sourceforge.purrpackage.model.CoverageSummaryView;
import net.sourceforge.purrpackage.reporting.json.org.json.JSONObject;

public class CoverageSummaryViewJsonFormatterElement implements
		JsonFormatterElement<CoverageSummaryView> {

	@Override
	public JSONObject format(CoverageSummaryView x, JsonFormatter utility)
			throws Exception {
		JSONObject jo = new JSONObject();
		jo.put("valid", x.getValid());
		jo.put("covered", x.getCovered());
		jo.put("samePackageCovered", x.getSamePackageCovered());
		jo.put("missed", x.getMissed());
		jo.put("samePackageMissed", x.getSamePackageMissed());
		if (!Double.isNaN(x.getRate())) {
			jo.put("rate", x.getRate());
		}
		if (!Double.isNaN(x.getSamePackageRate())) {
			jo.put("samePackageRate", x.getSamePackageRate());
		}
		jo.put("allCovered", x.getAllCovered());
		jo.put("allSamePackageCovered", x.getAllSamePackageCovered());
		return jo;
	}

}
